dp14txss: TI_LMK03318

| dp14txss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Macros | Functions
TI_LMK03318

## Macros
#define | TI_LMK03318_FVCO_MAX 5400000000
| Maximum VCO Operating Frequency in Hz. More...
#define | TI_LMK03318_FVCO_MIN 4800000000
| Minimum VCO Operating Frequency in Hz. More...
#define | TI_LMK03318_FOUT_MAX 800000000
| Maximum Output Frequency in Hz. More...
#define | TI_LMK03318_FOUT_MIN 1000000
| Minimum Output Frequency in Hz. More...
#define | TI_LMK03318_FIN_MAX 300000000
| Maximum Input Frequency in Hz. More...
#define | TI_LMK03318_FIN_MIN 1000000
| Minimum Input Frequency in Hz. More...
#define | TI_LMK03318_FPD_MAX 150000000
| Maximum Phase Detector Frequency in Hz. More...
#define | TI_LMK03318_FPD_MIN 1000000
| Minimum Phase Detector Frequency in Hz. More...
#define | TI_LMK03318_FVCO_MAX 5400000000
| Maximum VCO Operating Frequency in Hz. More...
#define | TI_LMK03318_FVCO_MIN 4800000000
| Minimum VCO Operating Frequency in Hz. More...
#define | TI_LMK03318_FOUT_MAX 800000000
| Maximum Output Frequency in Hz. More...
#define | TI_LMK03318_FOUT_MIN 1000000
| Minimum Output Frequency in Hz. More...
#define | TI_LMK03318_FIN_MAX 300000000
| Maximum Input Frequency in Hz. More...
#define | TI_LMK03318_FIN_MIN 1000000
| Minimum Input Frequency in Hz. More...
#define | TI_LMK03318_FPD_MAX 150000000
| Maximum Phase Detector Frequency in Hz. More...
#define | TI_LMK03318_FPD_MIN 1000000
| Minimum Phase Detector Frequency in Hz. More...
#define | TI_LMK03318_FVCO_MAX 5400000000
| Maximum VCO Operating Frequency in Hz. More...
#define | TI_LMK03318_FVCO_MIN 4800000000
| Minimum VCO Operating Frequency in Hz. More...
#define | TI_LMK03318_FOUT_MAX 800000000
| Maximum Output Frequency in Hz. More...
#define | TI_LMK03318_FOUT_MIN 1000000
| Minimum Output Frequency in Hz. More...
#define | TI_LMK03318_FIN_MAX 300000000
| Maximum Input Frequency in Hz. More...
#define | TI_LMK03318_FIN_MIN 1000000
| Minimum Input Frequency in Hz. More...
#define | TI_LMK03318_FPD_MAX 150000000
| Maximum Phase Detector Frequency in Hz. More...
#define | TI_LMK03318_FPD_MIN 1000000
| Minimum Phase Detector Frequency in Hz. More...
#define | TI_LMK03318_FVCO_MAX 5400000000
| Maximum VCO Operating Frequency in Hz. More...
#define | TI_LMK03318_FVCO_MIN 4800000000
| Minimum VCO Operating Frequency in Hz. More...
#define | TI_LMK03318_FOUT_MAX 800000000
| Maximum Output Frequency in Hz. More...
#define | TI_LMK03318_FOUT_MIN 1000000
| Minimum Output Frequency in Hz. More...
#define | TI_LMK03318_FIN_MAX 300000000
| Maximum Input Frequency in Hz. More...
#define | TI_LMK03318_FIN_MIN 1000000
| Minimum Input Frequency in Hz. More...
#define | TI_LMK03318_FPD_MAX 150000000
| Maximum Phase Detector Frequency in Hz. More...
#define | TI_LMK03318_FPD_MIN 1000000
| Minimum Phase Detector Frequency in Hz. More...

## Functions
int | TI_LMK03318_EnableBypass (u32 I2CBaseAddress, u8 I2CSlaveAddress, u8 InPortID, u8 OutPortID)
| This function configures the TI LMK03318 to route the specified input port to the specified output port bypassing the PLL. More...
int | TI_LMK03318_Init (u32 I2CBaseAddress, u8 I2CSlaveAddress)
| This function initializes the TI LMK03318 with default values for use with the Video FMC. More...
int | TI_LMK03318_PowerDown (u32 I2CBaseAddress, u8 I2CSlaveAddress)
| This function puts the TI LMK03318 into sleep. More...
void | TI_LMK03318_RegisterDump (u32 I2CBaseAddress, u8 I2CSlaveAddress)
| This function displays a registerdump of the TI LMK03318 device. More...

## Macro Definition Documentation

#define TI_LMK03318_FIN_MAX 300000000

Maximum Input Frequency in Hz.

#define TI_LMK03318_FIN_MAX 300000000

Maximum Input Frequency in Hz.

#define TI_LMK03318_FIN_MAX 300000000

Maximum Input Frequency in Hz.

#define TI_LMK03318_FIN_MAX 300000000

Maximum Input Frequency in Hz.

#define TI_LMK03318_FIN_MIN 1000000

Minimum Input Frequency in Hz.

#define TI_LMK03318_FIN_MIN 1000000

Minimum Input Frequency in Hz.

#define TI_LMK03318_FIN_MIN 1000000

Minimum Input Frequency in Hz.

#define TI_LMK03318_FIN_MIN 1000000

Minimum Input Frequency in Hz.

#define TI_LMK03318_FOUT_MAX 800000000

Maximum Output Frequency in Hz.

#define TI_LMK03318_FOUT_MAX 800000000

Maximum Output Frequency in Hz.

#define TI_LMK03318_FOUT_MAX 800000000

Maximum Output Frequency in Hz.

#define TI_LMK03318_FOUT_MAX 800000000

Maximum Output Frequency in Hz.

#define TI_LMK03318_FOUT_MIN 1000000

Minimum Output Frequency in Hz.

#define TI_LMK03318_FOUT_MIN 1000000

Minimum Output Frequency in Hz.

#define TI_LMK03318_FOUT_MIN 1000000

Minimum Output Frequency in Hz.

#define TI_LMK03318_FOUT_MIN 1000000

Minimum Output Frequency in Hz.

#define TI_LMK03318_FPD_MAX 150000000

Maximum Phase Detector Frequency in Hz.

#define TI_LMK03318_FPD_MAX 150000000

Maximum Phase Detector Frequency in Hz.

#define TI_LMK03318_FPD_MAX 150000000

Maximum Phase Detector Frequency in Hz.

#define TI_LMK03318_FPD_MAX 150000000

Maximum Phase Detector Frequency in Hz.

#define TI_LMK03318_FPD_MIN 1000000

Minimum Phase Detector Frequency in Hz.

#define TI_LMK03318_FPD_MIN 1000000

Minimum Phase Detector Frequency in Hz.

#define TI_LMK03318_FPD_MIN 1000000

Minimum Phase Detector Frequency in Hz.

#define TI_LMK03318_FPD_MIN 1000000

Minimum Phase Detector Frequency in Hz.

#define TI_LMK03318_FVCO_MAX 5400000000

Maximum VCO Operating Frequency in Hz.

#define TI_LMK03318_FVCO_MAX 5400000000

Maximum VCO Operating Frequency in Hz.

#define TI_LMK03318_FVCO_MAX 5400000000

Maximum VCO Operating Frequency in Hz.

#define TI_LMK03318_FVCO_MAX 5400000000

Maximum VCO Operating Frequency in Hz.

#define TI_LMK03318_FVCO_MIN 4800000000

Minimum VCO Operating Frequency in Hz.

#define TI_LMK03318_FVCO_MIN 4800000000

Minimum VCO Operating Frequency in Hz.

#define TI_LMK03318_FVCO_MIN 4800000000

Minimum VCO Operating Frequency in Hz.

#define TI_LMK03318_FVCO_MIN 4800000000

Minimum VCO Operating Frequency in Hz.

## Function Documentation

int TI_LMK03318_EnableBypass | ( | u32 | I2CBaseAddress,
|  | u8 | I2CSlaveAddress,
|  | u8 | InPortID,
|  | u8 | OutPortID
| ) |  |

This function configures the TI LMK03318 to route the specified input port to the specified output port bypassing the PLL.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.
  InPortID | specifies the input port. Valid values are 0 to 1.
  OutPortID | specifies the output port. Valid values are 4 to 7.

Returns
  - XST_SUCCESS Initialization was successful.
  - XST_FAILURE I2C write error or incorrect parameters detected.

Note

int TI_LMK03318_Init | ( | u32 | I2CBaseAddress,
|  | u8 | I2CSlaveAddress
| ) |  |

This function initializes the TI LMK03318 with default values for use with the Video FMC.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  - XST_SUCCESS Initialization was successful.
  - XST_FAILURE I2C write error.

Note
  None.

int TI_LMK03318_PowerDown | ( | u32 | I2CBaseAddress,
|  | u8 | I2CSlaveAddress
| ) |  |

This function puts the TI LMK03318 into sleep.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  - XST_SUCCESS Initialization was successful.
  - XST_FAILURE I2C write error.

Note
  None.

Referenced by VideoFMC_Init().

void TI_LMK03318_RegisterDump | ( | u32 | I2CBaseAddress,
|  | u8 | I2CSlaveAddress
| ) |  |

This function displays a registerdump of the TI LMK03318 device.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  None

Note
  None.